System.Web 2.0.0.0 System.Configuration.SettingsProviderCollection

The profile providers for an application are exposed as a read-only through the property of the class. You can access a specific profile provider in the collection by name and cast it as the specific provider type, such as . This enables you to manage user profile properties from multiple data stores in a single application. It also allows you to access members of a specific profile provider that are not members of the abstract class.

A collection of objects that inherit the abstract class.

- Constructor

  This constructor is not intended to be used from your code. The profile providers for an application are exposed as a read-only through the property of the class.

  Creates a new, empty profile provider collection.

  2.0.0.0
- Method
  System.Void ``

  This method is not intended to be used from your code.

  Profile provider instances are added to the ProfileProviderCollection for an application using the providers section of the profile configuration element. You can access the profile provider collection using the property of the class.

  Adds a profile provider to the collection.

  The profile provider to add to the collection. 2.0.0.0
- Property
  System.Web.Profile.ProfileProvider `` To be added. To be added. To be added. To be added. 2.0.0.0